local widget = require( "widget" )
local myRect={}
local scrollView
local numberOfRows=50
local halfW = display.contentCenterX
local halfH = display.contentCenterY

local function changeColor(event)
	local t = event.target

	for i = 1, numberOfRows do
		myRect[i]:setFillColor(1,0,0)
	end
	t:setFillColor(0,0,1)
end

scrollView = widget.newScrollView
{
    top = 0,
    left=0,
    width = display.contentWidth,
    height=display.contentHeight,
    scrollHeight = display.contentHeight,
    verticalScrollDisabled = false,
    horizontalScrollDisabled = true,
    friction=2,
}
scrollView.x=display.contentCenterX

local currentY=15
for i = 1, numberOfRows do
	myRect[i] = display.newRect(halfW,currentY,display.contentWidth-20,80)
	myRect[i].anchorY=0
	myRect[i]:setFillColor(1,0,0)
	scrollView:insert(myRect[i])
	myRect[i]:addEventListener( "tap", changeColor )
	currentY=myRect[i].y+myRect[i].height+5
end